package com.lightinit.hsdatashow.json.pojo.solr;

import org.codehaus.jackson.annotate.JsonProperty;

import java.util.Date;
import java.util.Map;

/**
 * Created by Mr.Yao on 2017/12/7.
 */
public class CoreOverViewItemEntity {
    @JsonProperty("numDocs")
    private int numDocs;
    @JsonProperty("maxDoc")
    private int maxDoc;
    @JsonProperty("deletedDocs")
    private int deletedDocs;
    @JsonProperty("indexHeapUsageBytes")
    private int indexHeapUsageBytes;
    @JsonProperty("version")
    private int version;
    @JsonProperty("segmentCount")
    private int segmentCount;
    @JsonProperty("current")
    private boolean current;
    @JsonProperty("hasDeletions")
    private boolean hasDeletions;
    @JsonProperty("directory")
    private String directory;
    @JsonProperty("userData")
    private Map<String,String> userData;
    @JsonProperty("lastModified")
    private Date lastModified;

    public int getNumDocs() {
        return numDocs;
    }

    public void setNumDocs(int numDocs) {
        this.numDocs = numDocs;
    }

    public int getMaxDoc() {
        return maxDoc;
    }

    public void setMaxDoc(int maxDoc) {
        this.maxDoc = maxDoc;
    }

    public int getDeletedDocs() {
        return deletedDocs;
    }

    public void setDeletedDocs(int deletedDocs) {
        this.deletedDocs = deletedDocs;
    }

    public int getIndexHeapUsageBytes() {
        return indexHeapUsageBytes;
    }

    public void setIndexHeapUsageBytes(int indexHeapUsageBytes) {
        this.indexHeapUsageBytes = indexHeapUsageBytes;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public int getSegmentCount() {
        return segmentCount;
    }

    public void setSegmentCount(int segmentCount) {
        this.segmentCount = segmentCount;
    }

    public boolean isCurrent() {
        return current;
    }

    public void setCurrent(boolean current) {
        this.current = current;
    }

    public boolean isHasDeletions() {
        return hasDeletions;
    }

    public void setHasDeletions(boolean hasDeletions) {
        this.hasDeletions = hasDeletions;
    }

    public String getDirectory() {
        return directory;
    }

    public void setDirectory(String directory) {
        this.directory = directory;
    }

    public Map<String, String> getUserData() {
        return userData;
    }

    public void setUserData(Map<String, String> userData) {
        this.userData = userData;
    }

    public Date getLastModified() {
        return lastModified;
    }

    public void setLastModified(Date lastModified) {
        this.lastModified = lastModified;
    }
}
